Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.instancetable
Class InstanceTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.widget.instancetable.InstanceTableModel

All Implemented Interfaces:
  Serializable, Observer, TableModel

    public class InstanceTableModel

extends AbstractTableModel
implements Observer

Description of the Class

Author:
  William Grosso
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`InstanceTableModel(InstanceTable underlyingTable, Collection values, InstanceTableWidgetState state)`

Method Summary
`protected void` | `broadcastChangeAnnouncement()`
`Class` | `getColumnClass(int column)`
`int` | `getColumnCount()`
`String` | `getColumnName(int index)`
`Instance` | `getInstanceAt(int row)`
`int` | `getRowCount()`
`int` | `getRowForInstance(Instance instance)`
`InstanceTable` | `getUnderlyingTable()`
`Object` | `getValueAt(int row, int column)`
`void` | `setUnderlyingTable(InstanceTable underlyingTable)`
`void` | `setValues(Collection values)`
`void` | `update(Observable o, Object arg)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceTableModel

    public InstanceTableModel(InstanceTable underlyingTable,
                              Collection values,
                              InstanceTableWidgetState state)

Method Detail

### broadcastChangeAnnouncement

    protected void broadcastChangeAnnouncement()

### getColumnClass

    public Class getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### getColumnName

    public String getColumnName(int index)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getInstanceAt

    public Instance getInstanceAt(int row)

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getRowForInstance

    public int getRowForInstance(Instance instance)

### getUnderlyingTable

    public InstanceTable getUnderlyingTable()

### getValueAt

    public Object getValueAt(int row,
                             int column)

  Specified by:
    `getValueAt` in interface `TableModel`

### setUnderlyingTable

    public void setUnderlyingTable(InstanceTable underlyingTable)

### setValues

    public void setValues(Collection values)

### update

    public void update(Observable o,
                       Object arg)

  Specified by:
    `update` in interface `Observer`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request